Skillsoft Technical Requirements

Internet Browser

  • Internet Explorer - version 6 or later
  • Firefox - Version 2.0 or later* (*v3.6.5 is not supported)
  • Google Chrome
  • Safari - Version 3.2.1 or later

Software Requirements

  • Adobe Flash 8.0 or later
  • Adobe Reader 7.0 or later
  • Enabled Java

Use the Skillport Browser Test to ensure your computer and web browser are configured correctly to access the Skillsoft elearning content.

If you do not have Java and/or Flash contact your department’s IT administrator to install or update your system.